## org.eclipse.contribution.visualiser.jdtImpl
Class JDTGroup

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleGroup
          org.eclipse.contribution.visualiser.jdtImpl.JDTGroup

All Implemented Interfaces:
  IGroup, IMember

public class JDTGroup
extends SimpleGroup

The JDT implementation of IGroup. Each group represents a package in the JDT model.

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleGroup
`kids, name, tooltip`

Constructor Summary
`JDTGroup(java.lang.String name)` Default constructor.

Method Summary
`void` `addMembers(java.util.List members)` Add all the IMembers in the given list

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleGroup
`add, getContainingGroup, getFullname, getMembers, getName, getSize, getToolTip, setContainingGroup, setName, setSize, setTooltip, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDTGroup

    public JDTGroup(java.lang.String name)

  Default constructor.

Parameters:
  `name` - - the group's name

Method Detail

### addMembers

    public void addMembers(java.util.List members)

  Add all the IMembers in the given list

  Parameters:
    `members` -